/** 
 *   Thermometer logger novus
 *
 *   (c) Copyright 2005 Federico Bareilles <fede@iar.unlp.edu.ar>,
 *   Instituto Argentino de Radio Astronomia (IAR).
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 2 of
 *   the License, or (at your option) any later version.
 *     
 *   The author does NOT admit liability nor provide warranty for any
 *   of this software. This material is provided "AS-IS" in the hope
 *   that it may be useful for others.
 *
 **/


#include <stdio.h>
#include <stdlib.h>
#include <getopt.h>
#include "my_stdio.h"
#include "logger_novus.h"
#include "modbus.h"


int main(int argc, char * const argv[])
{
	int i;
	int op;
	char *device = LOGGER_NOVUS_DEVICE;
	int length;
	struct logger_nv lnv;
	
	while  ((op = getopt(argc, argv, "vhd:s:w:a")) != EOF)
		switch( op ){
#ifdef VERBOSE_MODE
		case 'v':
			verbose_flag = (verbose_flag << 1) | 1;
			break;
#endif

		case 'd':
			device = optarg;
			break;
		case 'h':
		default:
			//usage(argv[0]);
			exit(-1);
		}
	if( logger_init(&lnv, device) < 0) {
		printf("Can't open: %s\n", device);
		return -1;
	}
	length  = logger_adq(&lnv);

	if(length > 0) {
		for(i=0;i<8;i++)
			if (lnv.thr[i].active) {
				printf("Ther %1d: %5.1f C\n",
				      i, lnv.thr[i].val);
			}
	}

	//logger_test(fd, ther_nv,length);
	//logger_test2(fd);
		
	logger_close(&lnv);


	return 0;
}


